GNU bug report logs - #35959
IPv6 for elpa.gnu.org

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: pooh@HIDDEN (Юрий Пухальский); dated Tue, 28 May 2019 14:42:18 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35959 <at> debbugs.gnu.org:


Received: (at 35959) by debbugs.gnu.org; 12 Jun 2019 12:21:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 12 08:21:29 2019
Received: from localhost ([127.0.0.1]:60838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hb2Ft-0003ee-J7
	for submit <at> debbugs.gnu.org; Wed, 12 Jun 2019 08:21:29 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:34877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hb2Fq-0003eR-UO
 for 35959 <at> debbugs.gnu.org; Wed, 12 Jun 2019 08:21:27 -0400
Received: by mail-wm1-f41.google.com with SMTP id c6so6331039wml.0
 for <35959 <at> debbugs.gnu.org>; Wed, 12 Jun 2019 05:21:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=3XcU3CR/w3JVBIgCYvN3A/JaUncbYqvL0yuZpPJ0u3o=;
 b=hiqkf/SiXZ9zix8z4bQBLbTVgm04WCedA+4v14bd5tCefgRuC7eFxqW2QcF6JQG4ov
 BqpeEP0Nn4oHrOvMgkAgRdMSk46ogdpVOsC3XP1iC/r8Lfpm51NaOU36+JxqOqjQi8fl
 pxmNPYIIYAtxOdWN95bAEwcTn6lyTKtUPo66MqdgshsXRudR5OqoBsRN65J5MWvovpE+
 uswRctF5Sfr/gEBKxwyxdE0HYTMOSIFY9YJmBOoQ0KfQwvBBcWnK9Y/vNlBf3tb/Tz8G
 mA5P5lqM9OJMtqwdmJVQmjogXKtHMHRCENTeLCyL/QwH6dwbTi3bvwwOR5aWCQlk17U0
 p9MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=3XcU3CR/w3JVBIgCYvN3A/JaUncbYqvL0yuZpPJ0u3o=;
 b=HxOsHde5QWlYdv6xTu1DVXanH+Zb4bIbJ63jber6IHExOvHX2qM2xICZI8/KKYrbdO
 m/YBt1HbwGXXUEasb9LflRjiBlg/PGkwP5k3Mzan16mwRegzFv8V70+lXZxAROg9WwAe
 rpBXIVHz/6JNI/B0Nvt4Gz1fJzcoV+rD3o/n922YQFgbSA2WxcPNiDNKlVkvbIW9BXsb
 T1N3ik/hdXJrlwHLWzMTSsFY5or8BP7sKkPv5bqvoyeFiQhosvgvF0KUfEw71T9E14RD
 33dNhQWEY3vK/PsyJ60oCBMkxmeAKE+UVPPT/bCbXFfkeYHQoA2RAqLuMhF5HhNpZYxL
 voew==
X-Gm-Message-State: APjAAAVpsraVmIAmkb/jaq57CpWG9HhWjHZ9sHq5SJXfNqurGQ7+zpPu
 9WoI9zO0lmSz/A88HT3yc9A=
X-Google-Smtp-Source: APXvYqwiadG5g/q3FJLTnj+0ey4g0FUuDCK7sHaHJA4ntJW5GC/UDSGsnLp3awAAUZfKP44LVcG8YQ==
X-Received: by 2002:a1c:700b:: with SMTP id l11mr3644234wmc.106.1560342080804; 
 Wed, 12 Jun 2019 05:21:20 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id j17sm285476wrw.6.2019.06.12.05.21.19
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Wed, 12 Jun 2019 05:21:20 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: pooh@HIDDEN (=?utf-8?B?0K7RgNC40Lkg0J/Rg9GF0LDQu9GM0YHQutC40Lk=?=)
Subject: Re: bug#35959: IPv6 for elpa.gnu.org
References: <87woib3sio.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 12 Jun 2019 14:21:19 +0200
In-Reply-To: <87woib3sio.fsf@HIDDEN> (=?utf-8?B?ItCu0YDQuNC5INCf?=
 =?utf-8?B?0YPRhdCw0LvRjNGB0LrQuNC5Iidz?= message of
 "Tue, 28 May 2019 10:14:23 +0200")
Message-ID: <m2imtbvvsw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35959
Cc: 35959 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 28 May 2019 10:14:23 +0200, pooh@HIDDEN (=D0=AE=D1=80=
=D0=B8=D0=B9 =D0=9F=D1=83=D1=85=D0=B0=D0=BB=D1=8C=D1=81=D0=BA=D0=B8=D0=B9) =
said:

    =D0=AE=D1=80=D0=B8=D0=B9> I'm using EMACS and would like to use elpa on=
 one of my hosts, which
    =D0=AE=D1=80=D0=B8=D0=B9> is IPv6 only. But unlike gnu.org elpa.gnu.org=
 has only IPv4 address. I
    =D0=AE=D1=80=D0=B8=D0=B9> believe it's not hard IPv6 there as well.

That host is not managed by the Emacs team. I=CA=BCm not sure who *does*
manage it, and it=CA=BCs not obvious from the website. Stefan, is this one
yours?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35959; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 May 2019 14:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 10:41:52 2019
Received: from localhost ([127.0.0.1]:56775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVdIV-0001i8-Lh
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 10:41:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39043)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pooh@HIDDEN>) id 1hVXNV-00038I-LX
 for submit <at> debbugs.gnu.org; Tue, 28 May 2019 04:22:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:46441)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pooh@HIDDEN>) id 1hVXNP-0002JY-KX
 for submit <at> debbugs.gnu.org; Tue, 28 May 2019 04:22:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53413)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pooh@HIDDEN>) id 1hVXNO-0006Jz-On
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 04:22:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.2 required=5.0 tests=BAYES_00,FROM_EXCESS_BASE64,
 RCVD_IN_SBL_CSS,RDNS_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pooh@HIDDEN>) id 1hVXNM-0002HO-QL
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 04:22:30 -0400
Received: from [37.157.192.130] (port=59498 helo=aikipooh.name)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pooh@HIDDEN>) id 1hVXNL-0002BQ-7a
 for bug-gnu-emacs@HIDDEN; Tue, 28 May 2019 04:22:28 -0400
Received: from dell (APN-123-254-216-gprs.simobil.net [46.123.254.216])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by aikipooh.name (Postfix) with ESMTPSA id 476CF400C2
 for <bug-gnu-emacs@HIDDEN>; Tue, 28 May 2019 10:13:17 +0200 (CEST)
From: pooh@HIDDEN (=?utf-8?B?0K7RgNC40Lkg0J/Rg9GF0LDQu9GM0YHQutC4?=
 =?utf-8?B?0Lk=?=)
To: bug-gnu-emacs@HIDDEN
Subject: IPv6 for elpa.gnu.org
Date: Tue, 28 May 2019 10:14:23 +0200
Message-ID: <87woib3sio.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 37.157.192.130
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I'm using EMACS and would like to use elpa on one of my hosts,
 which is IPv6 only. But unlike gnu.org elpa.gnu.org has only IPv4 address.
 I believe it's not hard IPv6 there as well. 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.92 listed in list.dnswl.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.123.254.216 listed in zen.spamhaus.org]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=pooh%40aikipooh.name; ip=209.51.188.92; r=debbugs.gnu.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 28 May 2019 10:41:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I'm using EMACS and would like to use elpa on one of my hosts,
    which is IPv6 only. But unlike gnu.org elpa.gnu.org has only IPv4 address.
    I believe it's not hard IPv6 there as well. 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.92 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.123.254.216 listed in zen.spamhaus.org]
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=pooh%40aikipooh.name;ip=209.51.188.92;r=debbugs.gnu.org]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.1 FROM_EXCESS_BASE64     From: base64 encoded unnecessarily

I'm using EMACS and would like to use elpa on one of my hosts, which is IPv6 only. But unlike gnu.org elpa.gnu.org has only IPv4 address. I believe it's not hard IPv6 there as well.




Acknowledgement sent to pooh@HIDDEN (Юрий Пухальский):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35959; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 12 Jun 2019 12:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.